XMOUNTAINS(1)

NAME
xmountains - A fractal landscape generator.

SYNOPSIS
xmountains [ bqgPdEmMrBnZIASTWFGCapcevfRltxsXYH ]

DESCRIPTION
xmountains is a X11 based fractal landscape generator. It generates random fractal surfaces and displays them in a window. While the program is running the fractal is continuously extended on the right and the image is scrolled from right to left to expose the newly generated area.

Flags:
-b
    Use the root window.
-q
    Reset the root window when the program exits. This option is ignored unless the program is using the root window.
-g [string]
    Set the geometry of the window.
-P [filename]
    Write the PID to the specified file.
-d [string]
    Set the display.
-E
    Toggle the way that window repainting is done. By default the image pixmap is installed as the background pixmap of the window and window repainting should be performed automatically by the X server. If this does not work on a particular system then this flag can be used to enable explicit expose event processing. In the default mode root window images will remain in place after the program exits.
-m
    Display a map of the surface rather than a perspective view.
-M
    Disable reflections in the water.
-r [20]
    To reduce the load on the X server the program generates several columns of pixels before scrolling the image. This flag sets the number of columns. A negative value reverses the direction of scrolling. A value of zero makes the program scan across the window without scrolling at all.
-B [80]
    Set the number of shades of each colour that the program allocates.
-n [245]
    Set a maximum number of colours to use. This is just a different way of setting the number of shades of each colour.
-Z [10]
    Set the number of seconds that the program sleeps after scrolling the screen.
-I [40.0]
    Set the vertical angle of illumination.
-A [0.0]
    Set the horizontal angle of illumination.
-S [0.6]
    Set the vertical stretch of the surface.
-T [0.5]
    Set the vertical shift of the surface.
-W [0.5]
    Set the height where the water occurs.
-F [1]
    Reduce the variation in the foreground height to ensure a good view of the surface. This flag sets the number of iterations for which the foreground height is constrained to a constant value.
-G [-1.0]
    Mean altitude for the for foreground.
-C [0.3]
    Set the contour parameter. The base colour of a point depends on its height and how flat the surface is. This parameter controls the relative importance of these factors.
-a [2.5]
    Set the Altitude of the viewpoint.
-p [4.0]
    Set the distance of the viewpoint from the front of the surface.
-c [1.0]
    Set the contrast parameter. Values too far from 1.0 will give strange results
-e [0.3]
    Set the ambient light level. This is a fractional value that sets how bright shaded areas will be compared to fully illuminated ground.
-v [0.6]
    Set the vertical light level. The program also implements a secondary light source shining from directly above the surface. This flag sets how bright this light source is relative to the main light source.
-f [0.65]
    Set the fractal dimension of the surface. This should be in the range 0.5-1.0.
-R [0]
    Set the seed for the random number generator. A value of 0 causes the seed to be set from the clock.
-l [10]
    Set the width of the surface. Increasing this value by one doubles the width of the surface.
-t [2]
    Set the number of non-fractal iterations. Increasing this value by one doubles the average number of mountains across the width of the surface.
-x
    Use cross updates (see under -H)
-s [1]
    Control the regeneration steps used to reduce creasing. There are three possible regeneration steps controlled by the first 3 bits of this flag value. (see under -H)
-X [0.0]
    regeneration step parameter (see under -H)
-Y [0.0]
    regeneration step parameter (see under -H)
-window-id 0xNNNNN
    draw on existing external window.
-K [1024]
    initial width of window
-L [768]
    initial height of window

-H
    Print a short description of the algorithm explaining the -x -s -X and -Y parameters.

IDENTIFICATION
Author: S.Booth@epcc.ed.ac.uk